import { jsx } from "react/jsx-runtime";
import { SprayBottle as SprayBottle$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SprayBottle = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "SprayBottle", ...props, children: /* @__PURE__ */ jsx(SprayBottle$1, { weight: variant }) });
  }
);
SprayBottle.displayName = "SprayBottle";
Object.assign(SprayBottle, { isGdsIcon: true });
export {
  SprayBottle
};
